NJOBS?=6
all:
	"$(MAKE)" -j$(NJOBS) -f EWL_C.$(VENDOR).mak -C EWL_C
	"$(MAKE)" -j$(NJOBS) -f EWL_C++.$(VENDOR).mak -C EWL_C++
	"$(MAKE)" -j$(NJOBS) -f EWL_Runtime.$(VENDOR).mak -C EWL_Runtime

c:
	"$(MAKE)" -j$(NJOBS) -f EWL_C.$(VENDOR).mak -C EWL_C

cpp:
	"$(MAKE)" -j$(NJOBS) -f EWL_C++.$(VENDOR).mak -C EWL_C++

rt:
	"$(MAKE)" -j$(NJOBS) -f EWL_Runtime.$(VENDOR).mak -C EWL_Runtime

cleanobj:
	"$(MAKE)" -j$(NJOBS) -f EWL_C.$(VENDOR).mak -C EWL_C cleanobj 
	"$(MAKE)" -j$(NJOBS) -f EWL_C++.$(VENDOR).mak -C EWL_C++ cleanobj
	"$(MAKE)" -j$(NJOBS) -f EWL_Runtime.$(VENDOR).mak  -C EWL_Runtime cleanobj

clean:
	"$(MAKE)" -j$(NJOBS) -f EWL_C.$(VENDOR).mak -C EWL_C clean 
	"$(MAKE)" -j$(NJOBS) -f EWL_C++.$(VENDOR).mak -C EWL_C++ clean
	"$(MAKE)" -j$(NJOBS) -f EWL_Runtime.$(VENDOR).mak  -C EWL_Runtime clean
	@rm -fr doc

doc:
	doxygen Doxyfile
